Subject: Re: bug#72229: (setq overriding-terminal-local-map nil) in isearch-done

From: Eli Zaretskii <[email-masked]>
Date: Tue, 23 Jul 2024 14:29:25 +0300

> Cc: [email-masked]
> From: Juri Linkov <[email-masked]>
> Date: Tue, 23 Jul 2024 09:32:21 +0300
> 
> > Michael Heerdegen via "Bug reports for GNU Emacs, the Swiss army knife
> > of text editors" <[email-masked]> writes:
> >
> >> exiting isearch always explicitly sets `overriding-terminal-local-map'
> >> to nil.  This will interfere with any other users of
> >> `overriding-terminal-local-map', including any active transient maps.
> >>
> >> Wouldn't a less radical means suffice?  If isearch really must _set_,
> >> i.e., completely override that variable, why not restore the original
> >> value?
> >
> > Juri, what's your opinion on this?
> 
> Indeed, you are right, `isearch-done' should restore the original value.
> The existing variable `isearch--saved-overriding-local-map' can't be used,
> so a similar variable should be added like in this patch:

Thanks.  If this is deemed the right solution, please install on
master, not on emacs-30 (as we have lived with this issue since 1995).